<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />

  <title>AJAX Solr</title>

  <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="http://www.datatables.net/rss.xml">
  <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/themes/smoothness/jquery-ui.css">


  <!-- css -->
  <link rel="stylesheet" href="css/ega-template.css">
  <link rel="stylesheet" href="css/solr_web.css">
  <link rel="stylesheet" href="css/RangeWidget.css">


</head>

<body>

  <!-- header -->
  <header>
    <div id="header">
      <h1>AJAX Solr EGA Demonstration</h1>
    </div>
  </header>

  <!-- main content -->
  <div class="main-content">
    <!-- navbar -->
    <div class="container">
      <div class="row">
        <div class="col-md-11 col-sm-12 col-xs-12 nopad-r-mob">
          <div class="content">
            <p></p>
          </div>
        </div>
      </div>
    </div>
    <!-- data-table -->
    <div class="data-table">
      <div class="container">
        <div class="row">
          <div class="col-md-12 col-sm-12 col-xs-12  nopad-r-mob">
            <div class="row">
              <div class="col-sm-4 order-12 order-sm-1 leftbox1">
                <div id="more-filters">
                  <ul class="filter tbold till-bold font-15">
                    <div id="table-filters">
                      <div id="tdplus" class="change-data">
                        <div id="divplus" class="divplus2">
                          <span class="plus" id="spanplus">
                            <span class="fa fa-angle-right spanfa"></span>
                          </span>
                          <span id="titplus">
                            Show Filters
                          </span>
                          <div class="tooltip1">
                            <span class="fa fa-question-circle"> </span>
                            <span class="tooltiptext">
                              <p>
                                Use the refinements panel to filter the search results by selecting
                                one or more values from the refinement categories.
                                Selected values within a refinement category will be joined by a logical "OR" boolean
                                operator. Refinement categories will be joined by a logical "AND" operator.
                              </p>
                              <p>Select a checkbox to run the query.</p>
                              <p> Or enter a term in the search engine and click the enter button on your keyboard to
                                run the query.</p>
                            </span>
                          </div>
                        </div>
                      </div>
                    </div>
                  </ul>
                </div>
              </div>
            </div>
            <div class="data-table">
              <div class="table-responsive">
                <div class="row">
                  <div class="col-sm-4 order-12 order-sm-1 leftbox " id="lef">
                    <article id="articlediv">
                      <div class="div2article">
                        <h2>Current Selection</h2>
                        <ul id="selection" class="col-sm-12 order-12 order-sm-1">
                        </ul>
                        <h2>Search text or facet fields</h2></br>
                        <ul id="search" class="col-sm-12 order-12 order-sm-1">
                          <span class="col-sm-12 order-12" id="spanisearch">
                            <i id="isearch" class="fa fa-search" aria-hidden="true"></i>

                            <input type="text" id="query" name="query" autocomplete="off">
                          </span>
                        </ul>
                        <section class="facet-list">

                          <div>
                            <h2>Type</h2>
                            <div class="tagcloud" id="type"></div>
                          </div>

                          <div class="repository-class">
                            <h2>Repository</h2>
                            <div class="tagcloud" id="repository"></div>
                          </div>

                          <div class="study_type-class">
                            <h2>Study type</h2>
                            <div class="tagcloud" id="study_type"></div>
                          </div>

                          <div class="dataset_type-class">
                            <h2>Dataset type</h2>
                            <div class="tagcloud" id="dataset_type"></div>
                          </div>

                          <div class="dataset_technology-class">
                            <h2>Dataset technology</h2>
                            <div class="tagcloud" id="dataset_technology"></div>
                          </div>

                          <div class="phenotypes-class">
                            <h2>Phenotypes</h2>
                            <div class="tagcloud" id="phenotypes"></div>
                          </div>

                          <div class="file_formats-class">
                            <h2>File formats</h2>
                            <div class="tagcloud" id="file_formats"></div>
                          </div>

                          <div class="is_in_beacon-class">
                            <h2>Beacon</h2>
                            <div class="tagcloud" id="is_in_beacon"></div>
                          </div>

                          <div class="DUO-class">
                            <h2>DUOs</h2>
                            <div class="tagcloud" id="DUO"></div>
                          </div>
                          <!-- If dataset is not selected, hide the samples -->
                          <div class="dataset_type-class">
                            <h2>Samples</h2>
                            <div class="tagcloud" id="samples"></div>
                          </div>

                          <div class="domain-class">
                            <h2>Domain</h2>
                            <div class="tagcloud" id="domain"></div>
                          </div>

                        </section>
                        <div class="clear"></div>
                      </div>
                    </article>
                  </div>

                  <div id="result">
                    <div id="docs" class="col-sm-12 order-1 order-sm-12 brand-holder">
                      <div class="navigation">
                        <span class="data-title">
                          <i class="fa fa-folder-open fa-fw"></i>
                          Total number of results: </span>
                        <div id="pager-header"></div>
                        </br>
                      </div>
                      <table id="example3" class="display" width="100%">
                        <thead>
                          <tr>
                            <th>ID</th>
                            <th>Title and Description</th>
                          </tr>
                        </thead>
                        <tbody id="docsBody">
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <div class="clear"></div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <div class="clear"></div>

  <!-- scripts -->
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>

  <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.8.24/jquery-ui.min.js"></script>

  <script src="https://kit.fontawesome.com/a076d05399.js"></script>
  <script type="text/javascript" language="javascript"
    src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.datatables.net/plug-ins/1.10.21/pagination/full_numbers_no_ellipses.js"></script>

  <script src="core/Core.js"></script>
  <script src="core/AbstractManager.js"></script>
  <script src="managers/DataTableManager.jquery.js"></script>
  <script src="core/Parameter.js"></script>
  <script src="core/ParameterStore.js"></script>
  <script src="core/AbstractWidget.js"></script>
  <script src="widgets/jquery/PagerWidget.js"></script>
  <script src="core/AbstractFacetWidget.js"></script>
  <script src="widgets/TagcloudWidget.js"></script>
  <script src="widgets/CurrentSearchWidget.js"></script>
  <script src="core/AbstractTextWidget.js"></script>
  <script src="widgets/AutocompleteWidget.js"></script>
  <!-- Extensions -->
  <script src="widgets/RangeWidget.js"></script>
  <script src="widgets/ResultWidget.js"></script>
  <script src="widgets/MultiSelectWidget.js"></script>
  <script src="widgets/DataTableWidget.js"></script>
  <!-- and call -->
  <script src="js/solr_web.js"></script>


  <script>
    // resize box refinamnets
    $(window).resize(function () {
      var t1 = $("#spanplus").html();
      if (t1 == '<span class="fa fa-angle-down spanfa" aria-hidden="true"></span>') {
        if ($(window).width() < 768) {
          $("#lef").css("width", "100%");
          $("#lef").css("height", "100%");
        } else {
          $("#lef").css("width", "33.33%");
          $("#lef").css("height", "100%");
        }
      }
    });

    //click div Refinaments ?
    $("#tdplus").click(function () {
      $("#lef").css("visibility", "visible");
      var t = $(this).find('.plus').html();
      if (t == '<span class="fa fa-angle-right spanfa" aria-hidden="true"></span>') {
        $(this).find('.plus').html('<span class="fa fa-angle-down spanfa" aria-hidden="true"></span>');
        $("#titplus").html(' Hide Filters ')
        $("#lef").css("visibility", "visible");
        $("#lef").css("overflow", "visible");
        $("#docs").addClass("col-sm-8 order-1 order-sm-12 brand-holder");
        var t1 = $("#spanplus").html();
        if (t1 == '<span class="fa fa-angle-down spanfa" aria-hidden="true"></span>') {
          if ($(window).width() < 768) {
            $("#lef").css("width", "100%");
            $("#lef").css("height", "100%");
          } else {
            $("#lef").css("width", "33.33%");
            $("#lef").css("height", "100%");
          }
        }
      } else {
        $(this).find('.plus').html('<span class="fa fa-angle-right spanfa" aria-hidden="true"></span>');
        $("#titplus").html(' Show Filters ')
        $("#lef").css("visibility", "hidden");
        $("#lef").css("overflow", "hidden");
        $("#docs").removeClass("col-sm-8 order-1 order-sm-12 brand-holder");
        $("#lef").css("width", "0px");
        $("#lef").css("height", "0px");
      }
    });
  </script>



</body>

</html>